//
//  ViewController.m
//  ForLoopDemo
//
//  Created by Christopher Ching on 13-06-08.
//  Copyright (c) 2013 CodeWithChris. All rights reserved.
//
//
// THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
// AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
// LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
// OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
// THE SOFTWARE.
//
//  This source code is for the tutorial series located here:
//  http://www.youtube.com/playlist?list=PLMRqhzcHGw1YfS92iytSJCjt01FxPF9rr

#import "ViewController.h"

@interface ViewController ()

@end

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
	// Do any additional setup after loading the view, typically from a nib.
    
    int age = 0;
    
    // the 3 parts of a for loop are: initialization, condition, increment
    for (int i = 0; i < 10; i++)
    {
        // age = age + i;
        age += i;
    }
    
    // an array is a container of objects
    NSArray *arrayOfNames;
    
    // looping through the objects in the array
    for (int i = 0; i < arrayOfNames.count; i++)
    {
        // returns the object in the array at index i
        NSString *name = [arrayOfNames objectAtIndex:i];
    }
    
    // another way to go through the objects in an array
    for (NSString *name in arrayOfNames)
    {
        
    }
}

- (void)didReceiveMemoryWarning
{
    [super didReceiveMemoryWarning];
    // Dispose of any resources that can be recreated.
}

@end
